Subject: New version of YP client code available
From: [email-masked] (Swen Thuemmler)
Date: 9 Jan 1994 15:20:15 +0200
Newsgroups: comp.os.linux.announce

Hi,

a new version of the YP code is available on 
ftp.uni-paderborn.de:/pub/linux/local/yp/yp-linux.tar.gz

What will you find in yp-linux.tar.gz?
You will find sourcecode for the client-side of YP (aka NIS), that is:
ypbind, ypwhich, ypset, yppoll, ypmatch and ypcat. In the subdirectory
libc-linux/ you will find updated sources for the library support
functions in libc. These will be included in the next version of libc.
If you have an "old" (<= 4.5.9) version of libc, you should probably
replace these files and recompile the library.

What is it for?
Whith these files you will be able to set up your linux-box as a YP
client for /etc/passwd and /etc/group, so you can easily integrate
your linux-box into a network of, say, SUN-workstations without
duplicating entries in the password files. It works best together with
automounted homedirectories (we are using amd - very nice).

What does it lack?
There is no server functionality (aka ypserv). If you don't use YP
already, you probably should not start it :-).
The documentation is very rudimentary. Please feel free to contribute.

Who did it?
This version of YP is derived from the 386BSD YP code, written by Theo
de Raadt. I ported it to linux and rewrote ypbind a bit. 

What is the future?
I ported YP to be able to integrate our linux-box into our campus
network. It does its work, but is is not very clean and certainly
lacks a lot of functionality. I do not intend to add functionality to
YP. Bugfixes are welcome. But if you intend to contribute work for
better functionality (e.g. NIS+), you should support the NYS project
(contact Peter Eriksson <[email-masked]> for more information). The
advantage of my YP port as of today is, that is does not require
recompilation of your applications.

Comments, bugfixes and spelling corrections welcome.

Greetings, Swen

--
  --------------------------------------------------------------------
   Swen Th|mmler                 |   Telefon : +49 5251 602656
   University of Paderborn FB 17 |   Telefax : +49 5251 603853
   Warburger Str. 100            |   email   : [email-masked] 
   D-33095 Paderborn             |   Raum    : D3.310
   Germany                       |
  ------- pgp public key at [email-masked] -------

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.